# AAMVAVehicleSafetyInspectionData class

Vehicle Safety Inspection Data. File type "VS".

Inheritance
  - Object
  - GenericDocumentWrapper
  - AAMVAVehicleSafetyInspectionData

## Constructors

AAMVAVehicleSafetyInspectionData(GenericDocument document)

## Properties

document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
inspectionAddress → TextFieldWrapper?
  Data element ID "IAN". The street name and number, city, state and zip code of the inspection facility.
  no setter
inspectionAirPollutionDeviceConditions → TextFieldWrapper?
  Data element ID "IPD". Identifies whether the pollution control devices meet the minimum inspection criteria.
  no setter
inspectionFacilityIdentifier → TextFieldWrapper?
  Data element ID "IFI". The unique number assigned to an inspection facility.
  no setter
inspectionFormOrStickerNumberCurrent → TextFieldWrapper?
  Data element ID "INC". A unique number assigned to a current vehicle inspection form for identification purposes or a preprinted unique number on the motor vehicle inspection sticker currently issued to a motor vehicle which has passed inspection.
  no setter
inspectionFormOrStickerNumberPrevious → TextFieldWrapper?
  Data element ID "INP". The number of the last inspection form excluding the current inspection or the certification number of the last inspection sticker, excluding the current inspection.
  no setter
inspectionSmogCertificateIndicator → TextFieldWrapper?
  Data element ID "ISC". An indicator that specifies whether or not the vehicle has a current smog certificate.
  no setter
inspectionStationNumber → TextFieldWrapper?
  Data element ID "ISN". Station number performing the inspection.
  no setter
inspectorIdentificationNumber → TextFieldWrapper?
  Data element ID "IIN". A unique number assigned to each licensed vehicle inspector.
  no setter
odometerReadingAtInspection → TextFieldWrapper?
  Data element ID "ORI". The vehicle’s odometer reading (to the nearest mile or kilometer) at the time of inspection.
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
vehicleBodyType → TextFieldWrapper?
  Data element ID "VAO". The general configuration or shape of a vehicle distinguished by characteristics such as number of doors, seats, windows, roofline, and type of top. The vehicle body type is 2- character alphanumeric.
  no setter
vehicleMake → TextFieldWrapper?
  Data element ID "VAK". The distinctive (coded) name applied to a group of vehicles by a manufacturer.
  no setter
vehicleModelYear → TextFieldWrapper?
  Data element ID "VAL". The year which is assigned to a vehicle by the manufacturer. The format is CCYY.
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.